For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all collections.
      • POSTCreate a collection.
      • GETGet a collection by ID.
      • PUTUpdate a collection by ID.
      • DELDelete a collection by ID.
      • GETGet all syncs for a given collection
      • GETGet view state for a collection.
      • PUTUpdate view state for a collection.
      • DELDelete view state for a collection.
      • GETList individual views for a collection.
      • POSTCreate an individual view.
      • PUTUpdate an individual view.
      • DELDelete an individual view.
LogoLogo
Scout DocsAccess Scout
EndpointsCollections

Get a collection by ID.

Beta
GET
https://api.scoutos.com/v2/collections/:collection_id
GET
/v2/collections/:collection_id
$curl https://api.scoutos.com/v2/collections/collection_id \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "collection_config": {
4 "collection_display_name": "Spring Art Showcase",
5 "collection_img_url": "https://example.com/images/spring-art-showcase.jpg",
6 "collection_description": "A curated collection of contemporary spring-themed artworks from emerging artists.",
7 "tags": [
8 "art",
9 "spring",
10 "contemporary",
11 "exhibition"
12 ]
13 },
14 "last_updated_at": "2024-01-15T09:30:00Z",
15 "created_at": "2024-01-15T09:30:00Z",
16 "created_by": {
17 "type": "user",
18 "details": {
19 "api_key": {}
20 }
21 },
22 "last_updated_by": {
23 "type": "user",
24 "details": {
25 "api_key": {}
26 }
27 },
28 "collection_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
29 "revision_id": "rev-20240115-001"
30 }
31}
Was this page helpful?
Previous

Update a collection by ID.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequired

Response

Successful Response
dataobject or null

Errors

422
Unprocessable Entity Error